# Get Activity Execution Detail

Retrieve detailed information about an activity execution including phase info, yaml, and pipeline/subprocess execution details. If activityExecutionId is provided, filters by it directly. Otherwise, filters by releaseId, phaseIdentifier, activityIdentifier, and retryIndex (defaults to 0 if not provided).

Endpoint: GET /rmg/api/orchestration/release/{releaseId}/phase/{phaseIdentifier}/activity/{activityIdentifier}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `releaseId` (string, required)
    The ID of the release

  - `phaseIdentifier` (string, required)
    The identifier of the phase

  - `activityIdentifier` (string, required)
    The identifier of the activity

## Query parameters:

  - `activityExecutionId` (string)
    Optional activity execution ID. If provided, filters by this ID directly.

  - `retryIndex` (integer)
    Optional retry index. Used when activityExecutionId is not provided. Defaults to 0 if not specified.

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Response 200 fields (application/json):

  - `identifier` (string, required)
    Identifier of the activity

  - `name` (string, required)
    Name of the activity

  - `status` (string, required)
    Status of orchestration execution activities
    Enum: "SCHEDULED", "RUNNING", "OUTPUT_WAITING", "SUCCEEDED", "FAILED", "ABORTED", "ON_HOLD", "RETRIED", "IGNORED", "SKIPPED", "QUEUED"

  - `yaml` (string, required)
    YAML configuration of the activity

  - `phaseIdentifier` (string, required)
    Identifier of the phase

  - `phaseName` (string, required)
    Name of the phase

  - `activity_execution_id` (string, required)
    ID of the activity execution

  - `phase_execution_id` (string, required)
    ID of the phase execution

  - `process_execution_id` (string, required)
    ID of the process execution

  - `retry_index` (integer)
    Retry index of the activity execution

  - `retry_id` (string)
    Retry ID of the activity execution

  - `root_retry_id` (string)
    Root retry ID of the activity execution

  - `start_ts` (integer)
    Start timestamp in milliseconds

  - `end_ts` (integer)
    End timestamp in milliseconds

  - `triggerInfo` (object)
    Trigger information for an activity

  - `triggerInfo.identifier` (string,null)
    Identifier of the person who triggered the activity

  - `triggerInfo.name` (string,null)
    Name of the person who triggered the activity

  - `triggerInfo.email` (string,null)
    Email of the person who triggered the activity

  - `pipeline` (object)
    Pipeline execution information for activities

  - `pipeline.executionId` (string, required)
    ID of the pipeline execution

  - `pipeline.identifier` (string, required)
    Pipeline identifier for PIPELINE type activities in format org/project/pipelineIdentifier

  - `subprocess` (object)
    Subprocess execution information for activities

  - `subprocess.releaseId` (string, required)
    ID of the subprocess release

  - `subprocess.identifier` (string, required)
    Process identifier for SUBPROCESS type activities

  - `failureInfo` (object)
    Information about a failure that occurred

  - `failureInfo.msg` (string, required)
    The failure message describing what went wrong

  - `failureInfo.code` (string)
    The failure code indicating the type of failure

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


